/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package controller;

import command.Command;
import command.CommandManager;
import command.Dodaj;
import domen.Student;
import java.util.ArrayList;
import java.util.List;

/**
 *
 * @author student1
 */
public class Controller {

    private static Controller instance;
    List<Student> studenti;

    private Controller() {
        studenti = new ArrayList<>();
    }

    public static Controller getInstance() {
        if (instance == null) {
            instance = new Controller();
        }
        return instance;
    }

    public List<Student> getStudenti() {
        return studenti;
    }

    public void dodaj(Student student) {
        Command cmd = new Dodaj(student, studenti);
        CommandManager.getInstance().execute(cmd);
    }

    public void undo() {
        CommandManager.getInstance().undo();
    }

    public void redo() {
        CommandManager.getInstance().redo();
    }
}
